Retrieve experiment result (deprecated)
curl --request GET \
--url https://api.dp1.us.honeyhive.ai/v1/runs/{run_id}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dp1.us.honeyhive.ai/v1/runs/{run_id}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dp1.us.honeyhive.ai/v1/runs/{run_id}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"success": true,
"passed": [
"<string>"
],
"failed": [
"<string>"
],
"metrics": {
"aggregation_function": "<string>",
"details": [
{
"metric_name": "<string>",
"metric_type": "COMPOSITE",
"event_name": "<string>",
"event_type": "<string>",
"aggregate": 123,
"values": [
123
],
"passing_range": {
"min": 123,
"max": 123
},
"datapoints": {
"passed": [
"<string>"
],
"failed": [
"<string>"
]
}
}
]
},
"datapoints": [
{
"session_id": "<string>",
"passed": true,
"datapoint_id": "<string>",
"metrics": [
"<unknown>"
]
}
],
"event_details": [
{
"event_name": "<string>",
"event_type": "<string>"
}
],
"run_object": {
"id": "<string>",
"run_id": "<string>",
"metadata": {},
"results": {},
"event_ids": [
"<string>"
],
"configuration": {},
"is_active": true,
"created_at": "<string>",
"scope_type": "<string>",
"scope_id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "<string>",
"metrics": {},
"updated_at": "<string>",
"dataset_id": "<string>",
"dataset_name": "<string>"
},
"error": "<string>"
}Retrieve experiment result (deprecated)
deprecated
Deprecated. Use GET /v1/runs/{run_id}/summary instead.
GET
/
v1
/
runs
/
{run_id}
/
result
Retrieve experiment result (deprecated)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Experiment run ID (UUIDv4)
Query Parameters
Aggregation function to apply to metrics
Available options:
average, min, max, median, p95, p99, p90, sum, count Optional filters to apply (JSON string or array of filter objects)
Response
Experiment result retrieved successfully
Evaluation summary for an experiment run: pass/fail results, metric aggregations, per-datapoint results, event details, and the experiment run object.
Was this page helpful?